Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.struts2.jasper.compiler
Class Localizer

    java.lang.Object
      org.apache.struts2.jasper.compiler.Localizer

    public class Localizer

extends Object

Class responsible for converting error codes to corresponding localized error messages.

Author:
  Jan Luehe

Constructor Summary
`Localizer()`

Method Summary
`static String` | `getMessage(String errCode)`
`static String` | `getMessage(String errCode, Object[] args)`
`static String` | `getMessage(String errCode, String arg)`
`static String` | `getMessage(String errCode, String arg1, String arg2)`
`static String` | `getMessage(String errCode, String arg1, String arg2, String arg3)`
`static String` | `getMessage(String errCode, String arg1, String arg2, String arg3, String arg4)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Localizer

    public Localizer()

Method Detail

### getMessage

    public static String getMessage(String errCode)

### getMessage

    public static String getMessage(String errCode,
                                    String arg)

### getMessage

    public static String getMessage(String errCode,
                                    String arg1,
                                    String arg2)

### getMessage

    public static String getMessage(String errCode,
                                    String arg1,
                                    String arg2,
                                    String arg3)

### getMessage

    public static String getMessage(String errCode,
                                    String arg1,
                                    String arg2,
                                    String arg3,
                                    String arg4)

### getMessage

    public static String getMessage(String errCode,
                                    Object[] args)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000–2018 Apache Software Foundation. All rights reserved.